Page MenuHomePhabricator

changegroup: don't limit cgv4 to revlogv2 repos
ClosedPublic

Authored by Alphare on Apr 9 2021, 4:49 AM.

Details

Summary

To help the transition from revlogv1 to revlogv2, we need to be able to enable
cgv4 for revlogv1 repos, so that revlogv2 clients can handle adding/removing
sidedata over the wire.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

Alphare created this revision.Apr 9 2021, 4:49 AM
marmoute added inline comments.
mercurial/changegroup.py
1696

Why is the config relevant here ?

(and if it is, this is not the right way to do it, since side-data can be implicitly enable by other options)

Alphare updated this revision to Diff 26777.Apr 10 2021, 3:14 PM
Alphare marked an inline comment as done.Apr 10 2021, 3:19 PM
Alphare updated this revision to Diff 27031.Apr 19 2021, 6:09 AM
Alphare updated this revision to Diff 27098.Apr 20 2021, 9:38 AM

So, the config will be, later, used to by the exchange code to forcily activate CG04 in situation that requires it ?

marmoute accepted this revision.Apr 22 2021, 1:56 PM
baymax updated this revision to Diff 27299.May 3 2021, 6:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27449.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.